#
# spec file for package sblim-cmpi-network
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sblim-cmpi-network
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  openssl-devel
BuildRequires:  pam-devel
BuildRequires:  sblim-cmpi-base-devel
BuildRequires:  sblim-indication_helper-devel
BuildRequires:  sblim-sfcb
BuildRequires:  sblim-testsuite
%if 0%{?suse_version}
BuildRequires:  openslp-devel
%endif
Version:        1.4.0
Release:        3.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       cim-schema
Requires:       cim-server
Requires:       sblim-cmpi-base
Url:            http://sblim.wiki.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2
Summary:        SBLIM Network Instrumentation
License:        EPL-1.0
Group:          System/Management
#!BuildIgnore:  tog-pegasus

%description
Standards Based Linux Instrumentation Network Providers. The Network
Instrumentation allows you to get information about the network
configuration of a system via CIMOM technology/infrastructure.



Authors:
--------
    SBLIM Project

%package devel
Summary:        SBLIM Network Provider Development Package
Group:          System/Management
Requires:       %{name} = %{version}

%description devel
SBLIM Network Instrumentation Header Development Files



Authors:
--------
    SBLIM Project

%prep
%setup

%build
autoreconf -f -i
%configure --disable-static
%{__make}

%install
%if 0%{?suse_version}
%makeinstall docdir=%{_docdir}/%{name}
%else
make install DESTDIR=%{buildroot} docdir=%{_docdir}/%{name}-%{version}
%endif
rm %buildroot%_libdir/cmpi/*.la
rm %buildroot%_libdir/*.la

%clean
%{__rm} -rf %{buildroot}
%define PEGASUS_MOF CIM_IPProtocolEndpoint,CIM_NetworkPort,CIM_EthernetPort,CIM_TokenRingPort,CIM_PortImplementsEndpoint

%pre
if [ "$1" -gt 1 ]; then
  d=%{_datadir}/%{name}
  $d/provider-register.sh -d -r $d/*.registration -m $d/*.mof
fi

%post
# compile MOF
/sbin/ldconfig
# Register Schema and Provider - this is higly provider specific  
# tog-pegasus needs some schemes registered first  
if [ -x /usr/bin/peg-loadmof.sh ]; then  
    peg-loadmof.sh -n root/cimv2 /usr/share/mof/cim-current/*/{%{PEGASUS_MOF}}.mof  
    rctog-pegasus try-restart  
fi  
# and then following script can handle registration for various providers  
d=%{_datadir}/%{name}
$d/provider-register.sh -r $d/*.registration -m $d/*.mof

%preun
if [ "$1" = "0" ]; then
  d=%{_datadir}/%{name}
  $d/provider-register.sh -d -r $d/*.registration -m $d/*.mof
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root) 
%{_libdir}/cmpi/*.so*
%{_libdir}/*.so.*
%if 0%{?suse_version}
%doc %{_docdir}/%{name}
%else
%doc %{_docdir}/%{name}-%{version}
%endif
%{_datadir}/%{name}
# XXX: split -test and -devel?
%{_datadir}/sblim-testsuite/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/sblim/*

%changelog
* Mon May 28 2012 kkaempf@suse.com
- Add autoconf,automake,libtool to BuildRequires
* Tue Mar 20 2012 kkaempf@suse.com
- autoreconf to add runtime dependency to libcmpiOSBase_Common
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Mon Sep 13 2010 kkaempf@novell.com
- Fix RHEL build
* Mon Jun  8 2009 mhrusecky@suse.cz
- fixed registration with tog-pegasus
- updated to version 1.4.0
  * Eclipse Public License
  upstream fixes:
  * 1395363 Providers' postinstall step location dependent
* Wed Aug 13 2008 bwhiteley@suse.de
- Changed to use provider-register.sh with SFCB.
- Added a -devel package.
* Thu Nov  1 2007 mmarek@suse.cz
- updated to version 1.3.8
  fixed upstream bugs:
  * 1597648 Fixed data gathering that caused seg faults
  * 1601713 Fixed unresolved symbols in shared lib
- removed static libs
* Wed Mar 15 2006 mrueckert@suse.de
- update to version 1.3.7 (#142308)
  (fixes the following upstream bugs)
  o Bugs 1199129, 1203849: Updates for warning-free compilation
    with CMPI headers >= 1.0.0.
  o Bugs 1353262: Better support for Fedora/RH RPM environment.
  o Bugs 1285011: 1285324: Fixed portability issues.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 14 2005 mrueckert@suse.de
- Update to version 1.3.6
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Wed May 12 2004 nashif@suse.de
- Do not De-register when updating package
* Mon May 10 2004 nashif@suse.de
- Dereigster providers when uninstalling (#39667)
* Tue May  4 2004 nashif@suse.de
- Removed binaries from tar archive (fixes #39844)
* Fri Apr 30 2004 nashif@suse.de
- Update to version 1.2.5
* Wed Apr 14 2004 nashif@suse.de
- Added PreReq for loadmof.sh
* Wed Apr  7 2004 nashif@suse.de
- Initial release
